### Method

# Ide ProjectFile get_display_name

#### Declaration

    const gchar*
    ide_project_file_get_display_name (
      IdeProjectFile* self
    )

#### Description

Gets the display-name for the file, which should be shown to users.

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| A string containing the display name.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.